Page MenuHomePhabricator

Ensure WMDE Engineering Website is usable on mobile devices
Closed, ResolvedPublic3 Story Points

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-02-17 board.
WMDE-leszek added a comment.EditedMar 17 2016, 1:42 PM

I've checked how the pages look on the phone and on the *pad tablet (the latter only using Chromium's "simulator").
On tablet it looks pretty fine, I'd say, especially when using landscape orientation.

On phones situation is rather clear: some pages look quite OK on landscape mode but generally pages do not look nice. When someone is really motived she'd manage to read all the content (ie. I'd consider that the page is sort of usable). I doubt there is much we could do about improving this without using media queries and introducing some "real" responsiveness.
It looks to me that there is a clear choice: Either we have multiple-column-like layout with quite some content in all columns, or we have all content displaying beautifully on the phone-sized view ports (that excludes multiple columns in my opinion).

I am moving this ticket to the review column. Please add here some comments, opinions, bug reports etc. on particular things not working on mobile (with focus on tablet-sized view, I'd say).

Lea_WMDE moved this task from Incoming to Other on the TCB-Team board.May 11 2016, 12:30 PM

We changed the columns to template boxes. Now its better to see on mobile device. Still an issue is the header. When you schrink it, the header goes along the hole screen.

WMDE-leszek closed this task as Resolved.Aug 30 2016, 12:53 PM
WMDE-leszek claimed this task.

Not the most beautiful but usable, closing this ticket.